/*
* JBoss, the OpenSource J2EE webOS
*
* Distributable under LGPL license.
* See terms of license at gnu.org.
*/
package org.jboss.test.webservice.jbws163;

import org.jboss.logging.Logger;

import javax.xml.rpc.holders.BigIntegerHolder;
import javax.xml.rpc.holders.IntHolder;
import javax.xml.rpc.holders.LongHolder;
import javax.xml.rpc.holders.ShortHolder;
import java.math.BigInteger;

public class HelloJavaBean implements Hello
{
   private Logger log = Logger.getLogger(HelloJavaBean.class);

   public void nonPositiveInteger(BigInteger argIN, BigIntegerHolder argINOUT, BigIntegerHolder argOUT)
   {
      log.info("nonPositiveInteger: [argIn=" + argIN + ",argINOUT=" + argINOUT.value + ",argOUT=" + argOUT.value + "]");
      argINOUT.value = argIN;
      argOUT.value = argIN;
   }

   public void negativeInteger(BigInteger argIN, BigIntegerHolder argINOUT, BigIntegerHolder argOUT)
   {
      log.info("negativeInteger: [argIn=" + argIN + ",argINOUT=" + argINOUT.value + ",argOUT=" + argOUT.value + "]");
      argINOUT.value = argIN;
      argOUT.value = argIN;
   }

   public void nonNegativeInteger(BigInteger argIN, BigIntegerHolder argINOUT, BigIntegerHolder argOUT)
   {
      log.info("nonNegativeInteger: [argIn=" + argIN + ",argINOUT=" + argINOUT.value + ",argOUT=" + argOUT.value + "]");
      argINOUT.value = argIN;
      argOUT.value = argIN;
   }

   public void unsignedLong(BigInteger argIN, BigIntegerHolder argINOUT, BigIntegerHolder argOUT)
   {
      log.info("unsignedLong: [argIn=" + argIN + ",argINOUT=" + argINOUT.value + ",argOUT=" + argOUT.value + "]");
      argINOUT.value = argIN;
      argOUT.value = argIN;
   }

   public void positiveInteger(BigInteger argIN, BigIntegerHolder argINOUT, BigIntegerHolder argOUT)
   {
      log.info("positiveInteger: [argIn=" + argIN + ",argINOUT=" + argINOUT.value + ",argOUT=" + argOUT.value + "]");
      argINOUT.value = argIN;
      argOUT.value = argIN;
   }

   public void unsignedInt(long argIN, LongHolder argINOUT, LongHolder argOUT)
   {
      log.info("unsignedInt: [argIn=" + argIN + ",argINOUT=" + argINOUT.value + ",argOUT=" + argOUT.value + "]");
      argINOUT.value = argIN;
      argOUT.value = argIN;
   }

   public void unsignedShort(int argIN, IntHolder argINOUT, IntHolder argOUT)
   {
      log.info("unsignedShort: [argIn=" + argIN + ",argINOUT=" + argINOUT.value + ",argOUT=" + argOUT.value + "]");
      argINOUT.value = argIN;
      argOUT.value = argIN;
   }

   public void unsignedByte(short argIN, ShortHolder argINOUT, ShortHolder argOUT)
   {
      log.info("unsignedByte: [argIn=" + argIN + ",argINOUT=" + argINOUT.value + ",argOUT=" + argOUT.value + "]");
      argINOUT.value = argIN;
      argOUT.value = argIN;
   }
}
